package Hawat::Controller::Api;
use strict;
use warnings;
use Moose;
use namespace::autoclean;

use Data::Dumper;
use Mentat::Core qw(:c_hawat);

#-------------------------------------------------------------------------------
# Initialization section
#-------------------------------------------------------------------------------

BEGIN { extends 'Hawat::Controller::Base'; }

__PACKAGE__->config(
    class       => 'Hawat::Controller::Api',
    constructor => 'new',
);

=head1 NAME

Hawat::Controller::Api - Catalyst controller for API access

=head1 DESCRIPTION

Catalyst controller for handling actions related to api access

=head1 ACTIONS

=cut

#-------------------------------------------------------------------------------
# Implementation section
#-------------------------------------------------------------------------------

=head2 eventlist

View the list of all reports stored in the database

=cut

sub eventlist :Local :Args(0) {
    my ($self, $c) = @_;

    # !!! This will NOT work, authentication will kick in
    #$c->controller('Event')->action_for('export'));
    # We must call the action method manually without the framework overhead
    $c->controller('Event')->export($c);
}

=head1 AUTHOR

 Jan Mach
 Cesnet, z.s.p.o
 jan.mach@cesnet.cz
 http://www.cesnet.cz

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
